> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener remito por ID

> Devuelve el detalle de un remito, incluyendo datos de documento, cliente, origen, punto de venta, entrega e items.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/remitos/{remito_id}
openapi: 3.1.0
info:
  title: La Pyme API
  description: >-
    Resources and workflows for purchases, sales, inventory, contacts, products,
    reports, and settings.
  version: 1.0.0
  contact:
    name: La Pyme Support
    email: hola@lapyme.com.ar
  license:
    name: Proprietary
    url: https://lapyme.com.ar/terminos
servers:
  - url: https://api.lapyme.com.ar
    description: Servidor de producción
security:
  - bearerAuth: []
tags:
  - name: API
    description: Public API operations for La Pyme integrations.
paths:
  /api/v1/remitos/{remito_id}:
    get:
      tags:
        - API
      summary: Obtener remito por ID
      description: >-
        Devuelve el detalle de un remito, incluyendo datos de documento,
        cliente, origen, punto de venta, entrega e items.
      operationId: getApiRemitoById
      parameters:
        - name: remito_id
          in: path
          description: ID del remito
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Remito obtenido exitosamente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiRemitoDetailResponse'
        '400':
          description: Parametros invalidos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Parametros invalidos
                      retryable: false
                      details: []
        '401':
          description: API key faltante o invalida
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: API key faltante o invalida
                      retryable: false
                      details: []
        '403':
          description: Scopes insuficientes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Scopes insuficientes
                      retryable: false
                      details: []
        '404':
          description: Remito no encontrado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Remito no encontrado
                      retryable: false
                      details: []
        '429':
          description: Límite de solicitudes excedido para la organización
          headers:
            Retry-After:
              description: Segundos a esperar antes de volver a intentar la solicitud.
              schema:
                type: string
                example: '30'
            X-RateLimit-Limit:
              description: Límite de la ventana activa.
              schema:
                type: string
                example: '5000'
            X-RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa.
              schema:
                type: string
                example: '0'
            X-RateLimit-Reset:
              description: Segundos restantes hasta el reset de la ventana activa.
              schema:
                type: string
                example: '30'
            RateLimit-Limit:
              description: Límite de la ventana activa en formato estándar.
              schema:
                type: string
                example: '5000'
            RateLimit-Remaining:
              description: Solicitudes restantes en la ventana activa en formato estándar.
              schema:
                type: string
                example: '0'
            RateLimit-Reset:
              description: >-
                Segundos hasta el reset de la ventana activa en formato
                estándar.
              schema:
                type: string
                example: '30'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: RATE_LIMITED
                  value:
                    request_id: req_rate_limit_1
                    error:
                      type: rate_limit_error
                      code: RATE_LIMITED
                      message: >-
                        The organization request limit was reached. Try again
                        later.
                      retryable: true
                      details: []
        '500':
          description: Error interno del servidor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Error interno del servidor
                      retryable: false
                      details: []
components:
  schemas:
    ApiRemitoDetailResponse:
      type: object
      properties:
        request_id:
          type: string
        data:
          type: object
          properties:
            object:
              type: string
              const: remito
            id:
              type: string
              format: uuid
            number:
              anyOf:
                - type: string
                - type: 'null'
            date:
              type: string
              format: date
            customer:
              anyOf:
                - $ref: '#/components/schemas/ApiSharedObject7c9936d5e7'
                - type: 'null'
            origin:
              oneOf:
                - $ref: '#/components/schemas/ApiSharedObjectc15d6ab2fa'
                - $ref: '#/components/schemas/ApiSharedObject5a978938b1'
                - $ref: '#/components/schemas/ApiSharedObject05f64e43bb'
            created:
              type: string
              format: date-time
            remito_number:
              type: integer
            point_of_sale:
              anyOf:
                - $ref: '#/components/schemas/ApiSharedObjectb4d57efe6e'
                - type: 'null'
            carrier:
              anyOf:
                - type: string
                - type: 'null'
            delivery_address:
              anyOf:
                - type: string
                - type: 'null'
            scheduled_date:
              anyOf:
                - type: string
                  format: date
                - type: 'null'
            delivered_at:
              anyOf:
                - type: string
                  format: date-time
                - type: 'null'
            recipient_name:
              anyOf:
                - type: string
                - type: 'null'
            recipient_dni:
              anyOf:
                - type: string
                - type: 'null'
            driver_id:
              anyOf:
                - type: string
                  format: uuid
                - type: 'null'
            notes:
              anyOf:
                - type: string
                - type: 'null'
            items:
              type: array
              items:
                $ref: '#/components/schemas/ApiSharedObject180205ecec'
            updated:
              type: string
              format: date-time
          required:
            - id
            - number
            - date
            - customer
            - origin
            - created
            - remito_number
            - point_of_sale
            - carrier
            - delivery_address
            - scheduled_date
            - delivered_at
            - recipient_name
            - recipient_dni
            - driver_id
            - notes
            - items
            - updated
          additionalProperties: false
      required:
        - request_id
        - data
      additionalProperties: false
    ApiErrorEnvelope:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - api_error
                - authentication_error
                - authorization_error
                - business_error
                - external_dependency_error
                - idempotency_error
                - invalid_request_error
                - rate_limit_error
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: array
              items:
                $ref: '#/components/schemas/ApiSharedObjectc671832641'
          required:
            - type
            - code
            - message
            - retryable
            - details
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
    ApiSharedObject7c9936d5e7:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        tax_id_type:
          anyOf:
            - type: string
            - type: 'null'
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
        tax_category:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
      additionalProperties: false
    ApiSharedObjectc15d6ab2fa:
      type: object
      properties:
        type:
          type: string
          const: sale
        sale_id:
          type: string
          format: uuid
      required:
        - type
        - sale_id
      additionalProperties: false
    ApiSharedObject5a978938b1:
      type: object
      properties:
        type:
          type: string
          const: fulfillment
        fulfillment_id:
          type: string
          format: uuid
      required:
        - type
        - fulfillment_id
      additionalProperties: false
    ApiSharedObject05f64e43bb:
      type: object
      properties:
        type:
          type: string
          const: custom
      required:
        - type
      additionalProperties: false
    ApiSharedObjectb4d57efe6e:
      type: object
      properties:
        id:
          type: string
          format: uuid
        number:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - number
        - name
      additionalProperties: false
    ApiSharedObject180205ecec:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sale_item_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        quantity:
          type: number
        name:
          anyOf:
            - type: string
            - type: 'null'
        is_custom:
          type: boolean
        warehouse_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        product:
          anyOf:
            - $ref: '#/components/schemas/ApiSharedObject6ab362068d'
            - type: 'null'
      required:
        - id
        - sale_item_id
        - quantity
        - name
        - is_custom
        - warehouse_id
        - product
      additionalProperties: false
    ApiSharedObjectc671832641:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
      required:
        - code
        - message
      additionalProperties: false
    ApiSharedObject6ab362068d:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sku:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        option_names:
          anyOf:
            - type: array
              items:
                type: string
            - type: 'null'
        variant_options:
          anyOf:
            - type: object
              additionalProperties:
                type: string
            - type: 'null'
        product_type:
          anyOf:
            - $ref: '#/components/schemas/ApiSharedEnum5c962a8637'
            - type: 'null'
        kit_units:
          type: number
      required:
        - id
        - sku
        - name
        - option_names
        - variant_options
        - product_type
        - kit_units
      additionalProperties: false
    ApiSharedEnum5c962a8637:
      type: string
      enum:
        - product
        - combo
        - kit
        - service
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Incluí tu API key en el header Authorization con el prefijo Bearer.

````